@ECHO OFF
cd C:\scripts\robocopy-sendemail

robocopy \\192.168.110.6\backup \\192.168.110.5\backup /e /r:3 /w:10 /tee /fp /np /xd *"$recycle.bin" *"System Volume Information" *"Recycler" /XF *.tmp /mir /LOG:C:\scripts\robocopy-sendemail\backup.log

if errorlevel 16 echo ***FATAL ERROR***   & goto fatal
if errorlevel 8  echo **FAILED COPIES**   & goto FAILEDCOPIES
if errorlevel 4  echo *MISMATCHES*        & goto mismatches
if errorlevel 2  echo EXTRA-FILES         & goto extra-files
if errorlevel 1  echo Copy successful     & goto successful
if errorlevel 0  echo --no change--       & goto nochange

:fatal
sendemail -f alerts@nas.com.au -t alerts@nas.com.au -s edge.nas.com.au -u MRVH NAS Backups Replication  ***FATAL ERROR*** -m . -a c:\scripts\robocopy-sendemail\backup.log
goto end

:FAILEDCOPIES
sendemail -f alerts@nas.com.au -t alerts@nas.com.au -s edge.nas.com.au -u MRVH NAS Backups Replication  **FAILED COPIES** -m . -a c:\scripts\robocopy-sendemail\backup.log
goto end

:mismatches
sendemail -f alerts@nas.com.au -t alerts@nas.com.au -s edge.nas.com.au -u MRVH NAS Backups Replication  **mismatches** -m . -a c:\scripts\robocopy-sendemail\backup.log
goto end

:extra-files
sendemail -f alerts@nas.com.au -t alerts@nas.com.au -s edge.nas.com.au -u MRVH NAS Backups Replication  **extra-files** -m . -a c:\scripts\robocopy-sendemail\backup.log
goto end

:successful
sendemail -f alerts@nas.com.au -t alerts@nas.com.au -s edge.nas.com.au -u MRVH NAS Backups Replication  **successful** -m . -a c:\scripts\robocopy-sendemail\backup.log
goto end

:nochange
sendemail -f alerts@nas.com.au -t alerts@nas.com.au -s edge.nas.com.au -u MRVH NAS Backups Replication  **no-change** -m . -a c:\scripts\robocopy-sendemail\backup.log
goto end

sendemail -f alerts@nas.com.au -t alerts@nas.com.au -s edge.nas.com.au -u MRVH NAS Backups Replication  **Other** -m . -a c:\scripts\robocopy-sendemail\backup.log

:end

